# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`nifi_toolkit`](#nifi_toolkit): Install Apache NiFi Toolkit

## Classes

### <a name="nifi_toolkit"></a>`nifi_toolkit`

Install Apache NiFi Toolkit

#### Examples

##### Defaults

```puppet
include nifi_toolkit
```

##### Downloading from a different repository

```puppet
class { 'nifi_toolkit':
  download_url => 'https://repo.local/nifi/nifi-toolkit-1.10.0.tar.gz',
}
```

#### Parameters

The following parameters are available in the `nifi_toolkit` class:

* [`version`](#version)
* [`download_url`](#download_url)
* [`download_checksum`](#download_checksum)
* [`download_checksum_type`](#download_checksum_type)
* [`install_root`](#install_root)
* [`download_tmp_dir`](#download_tmp_dir)

##### <a name="version"></a>`version`

Data type: `String`

The version of Apache NiFi Toolkit. This must match the version in
the tarball.

Default value: `'1.15.3'`

##### <a name="download_url"></a>`download_url`

Data type: `String`

Where to download the binary installation tarball from.

Default value: `"https://dlcdn.apache.org/nifi/${version}/nifi-toolkit-${version}-bin.tar.gz"`

##### <a name="download_checksum"></a>`download_checksum`

Data type: `String`

The expected checksum of the downloaded tarball. This is used for
verifying the integrity of the downloaded tarball.

Default value: `'820ab1d188b92bff41aaf06180d32c99c3849d5c79cd781f1785797f2ac23548'`

##### <a name="download_checksum_type"></a>`download_checksum_type`

Data type: `String`

The checksum type of the downloaded tarball. This is used for
verifying the integrity of the downloaded tarball.

Default value: `'sha256'`

##### <a name="install_root"></a>`install_root`

Data type: `Stdlib::Absolutepath`

The root directory of the nifi toolkit installation.

Default value: `'/opt/nifi-toolkit'`

##### <a name="download_tmp_dir"></a>`download_tmp_dir`

Data type: `Stdlib::Absolutepath`



Default value: `'/var/tmp'`

